Groups
Get group
Developer API operation for GET /dev/v1/groups/.
GET
/
dev
/
v1
/
groups
/
{uniqid}
Get group
curl --request GET \
--url https://api.shoppex.io/dev/v1/groups/{uniqid} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.shoppex.io/dev/v1/groups/{uniqid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.shoppex.io/dev/v1/groups/{uniqid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.shoppex.io/dev/v1/groups/{uniqid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.shoppex.io/dev/v1/groups/{uniqid}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "grp_db_1",
"uniqid": "grp_1",
"shop_id": "shop_1",
"title": "VIP Access",
"description": "Priority products for members",
"is_unlisted": false,
"sort_order": 1,
"created_at": 1711962000,
"updated_at": 1711965600,
"products_bound": [
{
"uniqid": "prod_starter",
"title": "Starter Pack",
"type": "DIGITAL",
"price": 29.99,
"price_display": 29.99,
"currency": "USD",
"stock": 999,
"custom_fields": {
"badge": "vip"
}
}
]
}
}⌘I
Get group
